Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163825 - sysfs_hash_and_remove() oops when attaching external USB storage
Summary: sysfs_hash_and_remove() oops when attaching external USB storage
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 14:18 UTC by Greg Huber
Modified: 2015-01-04 22:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-05 01:22:56 UTC


Attachments (Terms of Use)
messages file from boot to Oops from kernel-2.6.12-1.1398_FC4 (deleted)
2005-07-21 14:21 UTC, Greg Huber
no flags Details
Oops message from kernel-2.6.12-1.1372_FC3 (deleted)
2005-07-21 14:26 UTC, Greg Huber
no flags Details

Description Greg Huber 2005-07-21 14:18:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041217

Description of problem:
We get a kernel Oops shortly after attaching a USB Storage device. We have tried
several different devices, all of which worked with a slightly older kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1.Boot system without storage attached
2.log in
3.attach storage device
4.wait for device to settle
  

Actual Results:  messages file shows attached Oops

Expected Results:  device should have been attached to a device node.

Additional info:

this also happens with kernel kernel-2.6.12-1.1372_FC3
But it works with kernel-2.6.11-1.35_FC3

Comment 1 Greg Huber 2005-07-21 14:21:56 UTC
Created attachment 117024 [details]
messages file from boot to Oops from kernel-2.6.12-1.1398_FC4

Comment 2 Greg Huber 2005-07-21 14:26:55 UTC
Created attachment 117025 [details]
Oops message from kernel-2.6.12-1.1372_FC3

Comment 3 Dave Jones 2005-09-30 06:19:43 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 4 Dave Jones 2005-11-10 19:18:23 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 5 Dave Jones 2006-02-03 05:21:46 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 6 John Thacker 2006-05-05 01:22:56 UTC
Closing per previous comment.


Note You need to log in before you can comment on or make changes to this bug.